## org.eclipse.datatools.connectivity.oda.design
Interface InputElementAttributes

public interface InputElementAttributes

Common attributes for a data element defined with the input mode.

The following features are supported:

- `Default Scalar Value`
- `Editable`
- `Optional`
- `Masks Value`
- `Static Value Choices`
- `Dynamic Value Choices`
- `Ui Hints`

See Also:
  `DesignPackage.getInputElementAttributes()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDefaultScalarValue()` Returns the value of the 'Default Scalar Value' attribute.
`DynamicValuesQuery` `getDynamicValueChoices()` Returns the value of the 'Dynamic Value Choices' containment reference.
`ScalarValueChoices` `getStaticValueChoices()` Returns the value of the 'Static Value Choices' containment reference.
`InputElementUIHints` `getUiHints()` Returns the value of the 'Ui Hints' containment reference.
`boolean` `hasValueChoices()` Indicates whether this input element has either static or dynamic value choices defined.
`boolean` `isEditable()` Returns the value of the 'Editable' attribute.
`boolean` `isMasksValue()` Returns the value of the 'Masks Value' attribute.
`boolean` `isOptional()` Returns the value of the 'Optional' attribute.
`boolean` `isSetEditable()` Returns whether the value of the '`Editable`' attribute is set.
`boolean` `isSetMasksValue()` Returns whether the value of the '`Masks Value`' attribute is set.
`boolean` `isSetOptional()` Returns whether the value of the '`Optional`' attribute is set.
`void` `setDefaultScalarValue(java.lang.String value)` Sets the value of the '`Default Scalar Value`' attribute.
`void` `setDynamicValueChoices(DynamicValuesQuery value)` Sets the value of the '`Dynamic Value Choices`' containment reference.
`void` `setEditable(boolean value)` Sets the value of the '`Editable`' attribute.
`void` `setMasksValue(boolean value)` Sets the value of the '`Masks Value`' attribute.
`void` `setOptional(boolean value)` Sets the value of the '`Optional`' attribute.
`void` `setStaticValueChoices(ScalarValueChoices value)` Sets the value of the '`Static Value Choices`' containment reference.
`void` `setUiHints(InputElementUIHints value)` Sets the value of the '`Ui Hints`' containment reference.
`void` `setUiPromptStyle(InputPromptControlStyle value)` Sets the value of the Prompt Style attribute in the element's UI hints.
`void` `unsetEditable()` Unsets the value of the '`Editable`' attribute.
`void` `unsetMasksValue()` Unsets the value of the '`Masks Value`' attribute.
`void` `unsetOptional()` Unsets the value of the '`Optional`' attribute.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### hasValueChoices

    public boolean hasValueChoices()

  Indicates whether this input element has either static or dynamic value choices defined.

  Returns:
    true if any type of value choices is defined
  See Also:
    `getStaticValueChoices()`, `getDynamicValueChoices()`

### getDefaultScalarValue

    public java.lang.String getDefaultScalarValue()

  Returns the value of the 'Default Scalar Value' attribute. The literal string value to be used as the data element's default input value. Only applies to a scalar input data element.

  Returns:
    the value of the 'Default Scalar Value' attribute.
  See Also:
    `setDefaultScalarValue(String)`, `DesignPackage.getInputElementAttributes_DefaultScalarValue()`

### setDefaultScalarValue

    public void setDefaultScalarValue(java.lang.String value)

  Sets the value of the '`Default Scalar Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Scalar Value' attribute.
  See Also:
    `getDefaultScalarValue()`

### isEditable

    public boolean isEditable()

  Returns the value of the 'Editable' attribute. The default value is `"true"`. Indicates whether this element value is editable or read-only in the host designer. A host designer can further design whether to hide this attribute. Applicable only if its container is visible, e.g. for public properties and input parameters.

  Returns:
    the value of the 'Editable' attribute.
  See Also:
    `isSetEditable()`, `unsetEditable()`, `setEditable(boolean)`, `DesignPackage.getInputElementAttributes_Editable()`

### setEditable

    public void setEditable(boolean value)

  Sets the value of the '`Editable`' attribute.

  Parameters:
    `value` - the new value of the 'Editable' attribute.
  See Also:
    `isSetEditable()`, `unsetEditable()`, `isEditable()`

### unsetEditable

    public void unsetEditable()

  Unsets the value of the '`Editable`' attribute.

  See Also:
    `isSetEditable()`, `isEditable()`, `setEditable(boolean)`

### isSetEditable

    public boolean isSetEditable()

  Returns whether the value of the '`Editable`' attribute is set.

  Returns:
    whether the value of the 'Editable' attribute is set.
  See Also:
    `unsetEditable()`, `isEditable()`, `setEditable(boolean)`

### isOptional

    public boolean isOptional()

  Returns the value of the 'Optional' attribute. The default value is `"false"`. Indicates whether the element requires an input value.

  Returns:
    the value of the 'Optional' attribute.
  See Also:
    `isSetOptional()`, `unsetOptional()`, `setOptional(boolean)`, `DesignPackage.getInputElementAttributes_Optional()`

### setOptional

    public void setOptional(boolean value)

  Sets the value of the '`Optional`' attribute.

  Parameters:
    `value` - the new value of the 'Optional' attribute.
  See Also:
    `isSetOptional()`, `unsetOptional()`, `isOptional()`

### unsetOptional

    public void unsetOptional()

  Unsets the value of the '`Optional`' attribute.

  See Also:
    `isSetOptional()`, `isOptional()`, `setOptional(boolean)`

### isSetOptional

    public boolean isSetOptional()

  Returns whether the value of the '`Optional`' attribute is set.

  Returns:
    whether the value of the 'Optional' attribute is set.
  See Also:
    `unsetOptional()`, `isOptional()`, `setOptional(boolean)`

### isMasksValue

    public boolean isMasksValue()

  Returns the value of the 'Masks Value' attribute. The default value is `"false"`. Indicates whether input value should be masked or encrypted in persistent store and any UI display. Applies to default value as well.

  Returns:
    the value of the 'Masks Value' attribute.
  See Also:
    `isSetMasksValue()`, `unsetMasksValue()`, `setMasksValue(boolean)`, `DesignPackage.getInputElementAttributes_MasksValue()`

### setMasksValue

    public void setMasksValue(boolean value)

  Sets the value of the '`Masks Value`' attribute.

  Parameters:
    `value` - the new value of the 'Masks Value' attribute.
  See Also:
    `isSetMasksValue()`, `unsetMasksValue()`, `isMasksValue()`

### unsetMasksValue

    public void unsetMasksValue()

  Unsets the value of the '`Masks Value`' attribute.

  See Also:
    `isSetMasksValue()`, `isMasksValue()`, `setMasksValue(boolean)`

### isSetMasksValue

    public boolean isSetMasksValue()

  Returns whether the value of the '`Masks Value`' attribute is set.

  Returns:
    whether the value of the 'Masks Value' attribute is set.
  See Also:
    `unsetMasksValue()`, `isMasksValue()`, `setMasksValue(boolean)`

### getStaticValueChoices

    public ScalarValueChoices getStaticValueChoices()

  Returns the value of the 'Static Value Choices' containment reference.

  Returns:
    the value of the 'Static Value Choices' containment reference.
  See Also:
    `setStaticValueChoices(ScalarValueChoices)`, `DesignPackage.getInputElementAttributes_StaticValueChoices()`

### setStaticValueChoices

    public void setStaticValueChoices(ScalarValueChoices value)

  Sets the value of the '`Static Value Choices`' containment reference.

  Parameters:
    `value` - the new value of the 'Static Value Choices' containment reference.
  See Also:
    `getStaticValueChoices()`

### getDynamicValueChoices

    public DynamicValuesQuery getDynamicValueChoices()

  Returns the value of the 'Dynamic Value Choices' containment reference.

  Returns:
    the value of the 'Dynamic Value Choices' containment reference.
  See Also:
    `setDynamicValueChoices(DynamicValuesQuery)`, `DesignPackage.getInputElementAttributes_DynamicValueChoices()`

### setDynamicValueChoices

    public void setDynamicValueChoices(DynamicValuesQuery value)

  Sets the value of the '`Dynamic Value Choices`' containment reference.

  Parameters:
    `value` - the new value of the 'Dynamic Value Choices' containment reference.
  See Also:
    `getDynamicValueChoices()`

### getUiHints

    public InputElementUIHints getUiHints()

  Returns the value of the 'Ui Hints' containment reference.

  Returns:
    the value of the 'Ui Hints' containment reference.
  See Also:
    `setUiHints(InputElementUIHints)`, `DesignPackage.getInputElementAttributes_UiHints()`

### setUiHints

    public void setUiHints(InputElementUIHints value)

  Sets the value of the '`Ui Hints`' containment reference.

  Parameters:
    `value` - the new value of the 'Ui Hints' containment reference.
  See Also:
    `getUiHints()`

### setUiPromptStyle

    public void setUiPromptStyle(InputPromptControlStyle value)

  Sets the value of the Prompt Style attribute in the element's UI hints.

  Parameters:
    `value` - the new value of the 'Prompt Style' attribute.
  See Also:
    `InputPromptControlStyle`, `setUiHints(InputElementUIHints)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.